package com.rongwei.safecommon.fegin;

import com.rongwei.rwcommon.base.R;
import com.rongwei.rwcommon.vo.MailDo;
import com.rongwei.rwcommonentity.commonservers.vo.SysNotifyAnnounceVo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * Hysitx class
 *
 * @author XH
 * @date 2023/05/30
 */
@Component
public class CXHysitx implements CXCommonFeginClient {
    private final Logger log = LoggerFactory.getLogger(this.getClass().getName());

    @Override
    public void sendNotify(SysNotifyAnnounceVo sysNotifyAnnounceVo) {
        log.error("发送消息通知失败!通知内容为：{}", sysNotifyAnnounceVo);
    }

    @Override
    public R sendHtmlMail(MailDo mailDo) {
        log.error("邮件发送失败,数据为{}", mailDo);
        return R.error();
    }

    @Override
    public R pushToWeb(String cid, String message) {
        log.error("发送websocket通知失败!通知内容为：{}", message);
        return R.error();
    }

    @Override
    public R list(Map<String, Object> params) {
        log.error("查询提醒失败,数据为{}", params);
        return R.error();
    }

    @Override
    public R delete(List<String> ids) {
        log.error("删除提醒失败,数据为{}", ids);
        return R.error();
    }

    @Override
    public R upload(MultipartFile file, String relationid) {
        return null;
    }


}
